Bug 1042995 - Review Request: marco - MATE Desktop window manager
Summary: Review Request: marco - MATE Desktop window manager
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 1086149
TreeView+ depends on / blocked
 
Reported: 2013-12-13 17:15 UTC by Wolfgang Ulbrich
Modified: 2014-09-28 20:02 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-28 20:01:37 UTC
leigh123linux: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2013-12-13 17:15:41 UTC
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/marco.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/marco-1.7.0-0.3.git0403454e.fc21.src.rpm
Description: MATE Desktop window manager
Fedora Account System Username: raveit65

Comment 1 Wolfgang Ulbrich 2013-12-13 17:18:04 UTC
This is a re-review request for a package rename.
Old packackage name is mate-window-manager.
Note, this affect only rawhide, f18/19/20 will use mate-window-manager-1.6.x until there EOL.

Comment 2 leigh scott 2013-12-13 18:33:02 UTC
Approved



This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2 or later)",
     "GPL (v2 or later)", "Unknown or generated". 10 files have unknown
     license. Detailed output of licensecheck in
     /home/leigh/1042995-marco/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/mate-control-center, /usr/share/mate-
     control-center/keybindings, /usr/share/mate
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/help, /usr/share/mate-
     control-center/keybindings, /usr/share/mate, /usr/share/mate-control-
     center, /usr/share/help/C
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in marco
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 4188160 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: marco-1.7.0-0.3.git0403454e.fc20.x86_64.rpm
          marco-devel-1.7.0-0.3.git0403454e.fc20.x86_64.rpm
          marco-1.7.0-0.3.git0403454e.fc20.src.rpm
marco.x86_64: W: shared-lib-calls-exit /usr/lib64/libmarco-private.so.0.0.0 exit@GLIBC_2.2.5
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint marco marco-devel
marco.x86_64: W: shared-lib-calls-exit /usr/lib64/libmarco-private.so.0.0.0 exit@GLIBC_2.2.5
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
marco (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXcursor.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXinerama.so.1()(64bit)
    libXrandr.so.2()(64bit)
    libXrender.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcanberra-gtk.so.0()(64bit)
    libcanberra.so.0()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtop-2.0.so.7()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libstartup-notification-1.so.0()(64bit)
    rtld(GNU_HASH)

marco-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXcursor.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXinerama.so.1()(64bit)
    libXrandr.so.2()(64bit)
    libXrender.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcanberra-gtk.so.0()(64bit)
    libcanberra.so.0()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtop-2.0.so.7()(64bit)
    libm.so.6()(64bit)
    libmarco-private.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libstartup-notification-1.so.0()(64bit)
    marco(x86-64)
    pkgconfig(gtk+-2.0)
    rtld(GNU_HASH)



Provides
--------
marco:
    firstboot(windowmanager)
    libmarco-private.so.0()(64bit)
    marco
    marco(x86-64)
    mate-window-manager(x86-64)

marco-devel:
    marco-devel
    marco-devel(x86-64)
    mate-window-manager-devel(x86-64)
    pkgconfig(libmarco-private)



Source checksums
----------------
http://raveit65.fedorapeople.org/Mate/git-upstream/marco-1.7.0.git0403454e.tar.xz :
  CHECKSUM(SHA256) this package     : 44abbfba161c64bb0e727608b45a4606fad6ff87ad9ff0711471ecc2cdb21895
  CHECKSUM(SHA256) upstream package : 44abbfba161c64bb0e727608b45a4606fad6ff87ad9ff0711471ecc2cdb21895


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1042995
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 3 Wolfgang Ulbrich 2013-12-13 19:06:57 UTC
New Package SCM Request
=======================
Package Name: marco
Short Description: MATE Desktop window manager
Owners: raveit65 vicodan
Branches: 
InitialCC: 


Note: branch is empty because other branches than rawhide will use old package name until releases are EOL.

Comment 4 Gwyn Ciesla 2013-12-13 19:29:29 UTC
Git done (by process-git-requests).

Comment 5 Wolfgang Ulbrich 2014-07-26 14:25:14 UTC
Package Change Request
======================
Package Name: marco
New Branches: f20
Owners: raveit65 vicodan
InitialCC:

Comment 6 Kevin Fenzi 2014-07-26 21:34:24 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.